| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Macros
OgreThreadDefines.h File Reference
`#include "OgreThreadDefinesNone.h"`

## Macros
#define | OGRE_AUTO_MUTEX_NAME mutex
#define | OGRE_LOCK_MUTEX(name) OGRE_WQ_LOCK_MUTEX(name)
#define | OGRE_LOCK_MUTEX_NAMED(mutexName, lockName) OGRE_WQ_LOCK_MUTEX_NAMED(mutexName, lockName)
#define | OGRE_LOCK_RW_MUTEX_READ(name) OGRE_WQ_LOCK_RW_MUTEX_READ(name)
#define | OGRE_LOCK_RW_MUTEX_WRITE(name) OGRE_WQ_LOCK_RW_MUTEX_WRITE(name)
#define | OGRE_MUTEX(name) OGRE_WQ_MUTEX(name)
#define | OGRE_RW_MUTEX(name) OGRE_WQ_RW_MUTEX(name)
#define | OGRE_THREAD_SYNCHRONISER(sync) OGRE_WQ_THREAD_SYNCHRONISER(sync)

## Macro Definition Documentation

## ◆ OGRE_AUTO_MUTEX_NAME

#define OGRE_AUTO_MUTEX_NAME mutex

## ◆ OGRE_MUTEX

#define OGRE_MUTEX | ( |  | name | ) | OGRE_WQ_MUTEX(name)

## ◆ OGRE_LOCK_MUTEX

#define OGRE_LOCK_MUTEX | ( |  | name | ) | OGRE_WQ_LOCK_MUTEX(name)

## ◆ OGRE_LOCK_MUTEX_NAMED

#define OGRE_LOCK_MUTEX_NAMED | ( |  | mutexName,
|  |  | lockName
| ) |  | OGRE_WQ_LOCK_MUTEX_NAMED(mutexName, lockName)

## ◆ OGRE_RW_MUTEX

#define OGRE_RW_MUTEX | ( |  | name | ) | OGRE_WQ_RW_MUTEX(name)

## ◆ OGRE_LOCK_RW_MUTEX_READ

#define OGRE_LOCK_RW_MUTEX_READ | ( |  | name | ) | OGRE_WQ_LOCK_RW_MUTEX_READ(name)

## ◆ OGRE_LOCK_RW_MUTEX_WRITE

#define OGRE_LOCK_RW_MUTEX_WRITE | ( |  | name | ) | OGRE_WQ_LOCK_RW_MUTEX_WRITE(name)

## ◆ OGRE_THREAD_SYNCHRONISER

#define OGRE_THREAD_SYNCHRONISER | ( |  | sync | ) | OGRE_WQ_THREAD_SYNCHRONISER(sync)